#include <stdio.h>
#include <stdlib.h>

void usage(void)
{
    printf("dump infile\n");
    exit(1);
}

int main(int argc, char **argv)
{
    int value;
    FILE *infile;
    int addr = 0;

    if (argc != 2) usage();
    infile = fopen(argv[1], "r");
    if (!infile) usage();

    while (fread(&value, 1, 4, infile))
    {
        printf("%5.5x %8.8x\n", addr, value);
        addr += 4;
    }

    return 0;
}
